# Collaboration et gestion de projets bénévoles dans une OBNL avec des logiciels libres

## Introduction

![](DSC01813-lohalo-450x450.jpeg)

- François Pelletier
- Spécialiste en gestion de données, cybersécurité et logiciels libres
- Bénévole et militant de l'informatique libre depuis plus de 10 ans (FACiL, LinuQ, Linux-Meetup, Drave)
- Utilisateur de GNU/Linux depuis plus de 15 ans

## FACiL

![](logo-facil.png)

- OBNL dont le mandat est de promouvoir l'adoption, l'usage et la démocratisation de l'informatique libre.

- [Site de FACiL](https://facil.qc.ca)

## GRPM

- Groupe de recherche en physique médicale de l'Université Laval. Là où je travaille. On utilise certains des outils que je vais présenter dans la plateforme Valeria de l'Université Laval

![](Screenshot_20221103_214341.png)

- [Site du GRPM](https://physmed.fsg.ulaval.ca/accueil/)
- [Centre de données Valeria de l'Université Laval](https://valeria.science/services)

## Je valide ça, service-conseil

![](logo-jevalideca.png)

Mon entreprise de consultation. Mon expertise est au niveau de la gestion des données.

- Gestion des données d'entreprise
- Sécurité et vie privée
- Installation et personnalisation d'outils de collaboration
- Extraction de données et entreposage

[Site de Je valide ça, service-conseil](https://jevalide.ca)

## Ma présentation d'aujourd'hui

- Logiciels que nous utilisons dans des OBNL et milieux de recherche
  - pour collaborer
  - pour gérer nos membres, les adhésions et les communications
  - pour garder une trace de nos activités
  - pour archiver nos fichiers

Ma présentation va porter sur ces 4 axes en détail. Tous les logiciels présentés sont des exemples et vous pouvez aussi les utiliser, soit directement sur ces instances, sur d'autres serveur ou avec des conteneurs de type Docker sur votre ordinateur personnel.

## Collaborer

### Cryptpad

![](Screenshot_20221103_210523.png)

Pour créer des documents en mode collaboratif, nous utilisons une instance du logiciel CryptPad.

- [CryptPad chez FACiL (Ébauche FACiLe)](https://ebauche.facil.services/)
- [service CryptPad de Je valide ça, service-conseil](https://cryptpad.jevalide.ca/)

Ce logiciel permet de créer en mode collaboratif :
- des documents texte,
- des tableurs 
- des projets Kanban
- des formulaires
- des tabeaux blancs
- des présentations

### PrivateBin

Outil pour partager des contenus et des fichiers temporaires. Pratique pour partager des pièces d'identité, des coordonnées bancaires, ...

![privatebin.png](privatebin.png)

- [Toutes les instances de PrivateBin](https://privatebin.info/directory/)

### Jitsi Meet

![](Screenshot_20221103_211131.png)

On n'a pas toujours l'air zombie comme ça 🎃

- Pour la vidéoconférence, nous utilisons une instance de Jitsi Meet nommée Conférence Facile. 
- C'est un logiciel libre similaire à ce qu'offre Teams ou Zoom en mode navigateur ou application mobile.

[Lien du service Conférence Facile](https://conference.facil.services/)

### GitLab: Code Facile

- Pour le développement de toutes nos plateformes logicielles, nous utilisons une instance de GitLab, un logiciel libre de gestion de code source.

![](Screenshot_20221103_211527.png)

- Ce logiciel permet de:
  - gérer les versions de code source
  - rapporter les bogues
  - attribuer des tâches aux collaborateurs
  - synchroniser nos développements avec les équipes qui créent les logiciels

### FramaDate: Dates Faciles

- Instance du logiciel libre FramaDate, qui permet de planifier des rendez-vous avec les heures les plus populaires.

![](Screenshot_20221103_211732.png)

## Gestion des membres et communications

- Pour gérer nos membres chez FACiL, nous utilisons CiviCRM, qui est un gestionnaire de relations client spécialisé pour les OBNL. Il est basé sur le système de gestion de contenu Drupal.

### Nous pouvons gérer les adhésions des membres

![](Screenshot_20221103_212013.png)

### Nous pouvons aussi communiquer via des campagnes de courriels

![](Screenshot_20221103_212117.png)

### Nous avons aussi notre site web sur cette plateforme qui est basée sur le moteur Drupal

![](Screenshot_20221103_212259.png)

- [Site web de FACiL](https://facil.qc.ca)

## Communiquer avec la communauté

### Discourse: Forums du libre du Québec

- Forums du libre du Québec est un forum public pour tous les francophones. C'est aussi là que nous avons nos discussions privées pour le CA dans des sous-sections.
- C'est basé sur le logiciel de forums libre Discourse.
- Ce logiciel est aussi souvent utilisé pour les forums d'aide pour des logiciels.

![](Screenshot_20221103_213022.png)

- [Forums du libre du Québec](https://forumsdulibre.quebec/)

### Agenda du libre du Québec (logiciel maison développé en France)

![](Screenshot_20221103_213139.png)

- [L'Agenda du libre du Québec](https://agendadulibre.qc.ca/?year=2019)

### Mastodon: Jasette Facile

C'est une instance du logiciel libre de réseau social Mastodon. Ce logiciel est maintenant interconnecté avec Threads de Meta.

![](Screenshot_20221103_213247.png)

- [Site de Jasette Facile](https://jasette.facil.services/web/home)

### Mattermost: alternative libre à Slack

- Mattermost est un logiciel libre de clavardage similaire à Slack.
- Framateam est une instance publique gérée par Framasoft, une association française.
- J'anime aussi une communauté de gestion de données de santé qui utilise Mattermost.
![](Screenshot_20221103_213525.png)

## MediaWiki: Garder une trace de nos activités

Pour garder une trace de toutes nos activités et de nos procès verbaux de rencontres, nous utilisons un Wiki de type MédiaWiki

- [wiki de FACIL](https://wiki.facil.qc.ca/view/Accueil)

![](Screenshot_20221103_212414.png)

![](Screenshot_20221103_212501.png)

Nous avons aussi une section de revue de presse et des pages sur différents groupes partenaires.

- [Site de MediaWiki](https://www.mediawiki.org/wiki/MediaWiki)

## Nextcloud: Archiver nos fichiers

Pour archiver nos fichiers, nous utilisons Nextcloud, un logiciel libre qui offre une plateforme de collaboration assez complète basée sur des fichiers et une base de données.

![](Screenshot_20221103_212839.png)

Nextcloud permet:

- Le partage de fichiers
- La création de cercles de collaboration
- La gestion des tâches
- La gestion des contacts et des calendriers

Nous offrons aussi de l'espace de stockage à nos membres.

- [Site de Nextcloud](https://nextcloud.com/)

